/**
 * 工料机汇总相关数据
 *
 * @author CaiAoLin
 * @date 2017/9/14
 * @version
 */
function projectGLJ(project) {
    this.project = project;
    this.datas = null;
}

/**
 * 获取数据类型
 *
 * @return {String}
 */
projectGLJ.prototype.getSourceType = function() {
    let sourceType = ModuleNames.projectGLJ;
    return sourceType;
};

/**
 * project中调用
 *
 * @return {void}
 */
projectGLJ.prototype.createNew =  function() {
    this.project.registerModule(ModuleNames.projectGLJ, this);
};

/**
 * 加载数据
 *
 * @return {void}
 */
projectGLJ.prototype.loadData = function (datas) {
    this.datas = datas;
};
